Name:          54321
Version:       1.0.2001.11.16
Release:       4mamba
Summary:       54321 is five games in four-, three-, or two-dimensions for one player.
Group:         Graphical Desktop/Applications/Educational
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.nklein.com/products/54321/
# Source manually renamed with version
Source0:       http://www.nklein.com/products/54321/%{version}/%{name}-%{version}.tgz
Source1:       %{name}-exec
Source2:       %{name}-desktop
Patch0:        %{name}-1.0-SDL.patch
License:       Freeware
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libSDL-devel
BuildRequires: libSDL_image-devel
BuildRequires: libgcc
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
54321 is five games in four-, three-, or two-dimensions for one player. 54321 takes five classic two-dimensional puzzle games and extends them into three and four dimensions.

%debug_package

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%make -f GNUmakefile CXXFLAGS="%{optflags} -DNDEBUG=1" STRIP=/bin/true

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/games/%{name}
cp -r Release/* %{buildroot}%{_datadir}/games/%{name}
install -d %{buildroot}%{_bindir}
install -m755 -D %{SOURCE1} %{buildroot}%{_bindir}/%{name}
install -d %{buildroot}%{_datadir}/applications
install -m755 -D %{SOURCE2} %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/games/%{name}
%{_datadir}/games/%{name}/*
%doc README

%changelog
* Sat Feb 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2001.11.16-4mamba
- rebuilt with versioned source, debug package and build requirements

* Thu Dec 16 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2001.11.16-3mamba
- rebuilt with libpng 1.4

* Tue Apr 06 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2001.11.16-2mamba
- updated maintainer

* Mon Sep 29 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2001.11.16-1mamba
- automatic update by autodist

* Thu May 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-3mamba
- rebuilt

* Tue Aug 23 2005 Massimo Pintore <massimo.pintore@qilinux.it> 1.0-2qilnx
- License field corrected
* Mon Aug 22 2005 Massimo Pintore <massimo.pintore@qilinux.it> 1.0-1qilnx
- package created by autospec

